Package com.dropbox.core.v2.team
Class DevicesListMemberDevicesBuilder
java.lang.Object
com.dropbox.core.v2.team.DevicesListMemberDevicesBuilder
The request builder returned by
DbxTeamTeamRequests.devicesListMemberDevicesBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withIncludeDesktopClients(Boolean includeDesktopClients) Set value for optional field.withIncludeMobileClients(Boolean includeMobileClients) Set value for optional field.withIncludeWebSessions(Boolean includeWebSessions) Set value for optional field.
-
Method Details
-
withIncludeWebSessions
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeWebSessions- Whether to list web sessions of the team's member. Defaults totruewhen set tonull.- Returns:
- this builder
-
withIncludeDesktopClients
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeDesktopClients- Whether to list linked desktop devices of the team's member. Defaults totruewhen set tonull.- Returns:
- this builder
-
withIncludeMobileClients
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
includeMobileClients- Whether to list linked mobile devices of the team's member. Defaults totruewhen set tonull.- Returns:
- this builder
-
start
Issues the request.
-